Bug 698877 - universal access depends on metacity
Summary: universal access depends on metacity
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: control-center
Version: 15
Hardware: Unspecified
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Control Center Maintainer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-04-22 06:51 UTC by Takehiko Abe
Modified: 2012-08-07 19:47 UTC (History)
3 users (show)

Fixed In Version: control-center-3.0.1.1-4.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-07 19:47:23 UTC
Type: ---


Attachments (Terms of Use)

Description Takehiko Abe 2011-04-22 06:51:42 UTC
Without metacity installed, 'gnome-control-center universal-access'
results in segfault crash.

control-center.x86_64  1:3.0.0.1-3.fc15

Comment 1 Fedora Update System 2011-04-29 00:14:08 UTC
control-center-3.0.1.1-4.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/control-center-3.0.1.1-4.fc15

Comment 2 Fedora Update System 2011-04-29 04:31:47 UTC
Package control-center-3.0.1.1-4.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing control-center-3.0.1.1-4.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/control-center-3.0.1.1-4.fc15
then log in and leave karma (feedback).

Comment 3 Fedora Update System 2011-05-03 04:48:28 UTC
control-center-3.0.1.1-4.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 4 Bastien Nocera 2011-05-04 11:51:31 UTC
This looks bogus. I remove metacity from my machine, and "gnome-control-center universal-access" works.

What crashed and where exactly?

Comment 5 Takehiko Abe 2011-05-04 14:50:14 UTC
(In reply to comment #4)

I tried once again and got the same crash. "gnome-control-center universal-access" simply crashed without showing anything on screen.

| "Process /usr/bin/gnome-control-center was killed by signal 11 (SIGSEGV)"
| 
| Core was generated by `gnome-control-center universal-access'.
| Program terminated with signal 11, Segmentation fault.
| #0  0x00007f0e46456990 in ?? () from /usr/lib64/control-center-1/panels/libuniversal-access.so


Name        : control-center
Epoch       : 1
Version     : 3.0.1.1
Release     : 4.fc15
Architecture: x86_64

Comment 6 Bastien Nocera 2011-05-04 15:29:41 UTC
Please gather a backtrace of the crash, using abrt (which should be popping up) for example. If you're going to be using gdb directly (as you seem to have done already), please install control-center-debuginfo.

Comment 7 Takehiko Abe 2011-05-05 01:02:18 UTC
(In reply to comment #6)

Installed debuginfo control-center and run it without metacity:

| Program received signal SIGSEGV, Segmentation fault.
| visual_bell_type_notify_cb (client=0x8ca000, cnxn_id=0, entry=0x0,
| panel=0x62e2e0) at cc-ua-panel.c:533

visual_bell_type_notify_cb received NULL for entry.

In cc_ua_panel_init_hearing():

| /* set the initial value */
| entry = gconf_client_get_entry (priv->client,
|                                 "/apps/metacity/general/visual_bell_type",
|                                 NULL, TRUE, NULL);
| visual_bell_type_notify_cb (priv->client, 0, entry, self);

And entry->value segfaulted.

I guess removing metacity causes the gconf_client_get_entry for 
"/apps/metacity/general/visual_bell_type" to return NULL.

Comment 8 Fedora End Of Life 2012-08-07 19:47:25 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.